<?php
session_start();
// Include the database connection file
require_once '../db_connection.php';

// Query to fetch all products
$sql = "SELECT * FROM products LIMIT 3";
$stmt = $pdo->prepare($sql);
$stmt->execute();
$products = $stmt->fetchAll();









// Handle AJAX requests
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';

    if ($action === 'add_to_cart') {
        $productId = $_POST['id'];
        $productName = $_POST['name'];
        $productPrice = $_POST['price'];
        $productImage = $_POST['image'];

        // Add product as individual item
        $_SESSION['cart'][] = [
            'id' => $productId,
            'name' => $productName,
            'price' => $productPrice,
            'image' => $productImage,
        ];

        $totalItems = count($_SESSION['cart']);
        echo json_encode(['status' => 'success', 'totalItems' => $totalItems]);
        exit;
    }

    if ($action === 'clear_cart') {
        $_SESSION['cart'] = [];
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'remove_item') {
        $index = $_POST['index'];
        if (isset($_SESSION['cart'][$index])) {
            unset($_SESSION['cart'][$index]);
            $_SESSION['cart'] = array_values($_SESSION['cart']); // Reindex
        }
        echo json_encode(['status' => 'success']);
        exit;
    }

    if ($action === 'get_cart') {
        echo json_encode($_SESSION['cart'] ?? []);
        exit;
    }
}






?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>E-Commerce Homepage</title>
    <!-- Bootstrap CSS -->
	

<link rel="stylesheet" type="text/css" href="http://localhost/fully_mine_store/css2/style.css">
	
    <link href="http://localhost/fully_mine_store/css2/bootstrap.min.css" rel="stylesheet">
	

	<!-- Owl Carousel CSS -->
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.carousel.min.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/owl.theme.default.min.css">


<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-anton-roboto.css">
<link rel="stylesheet" href="http://localhost/fully_mine_store/css2/google-fonts-poppins.css">




<!-- jQuery -->
<script src="http://localhost/fully_mine_store/js/jquery.min.js"></script>

<!-- Owl Carousel JS -->
<script src="http://localhost/fully_mine_store/js/owl.carousel.min.js"></script>


<link href="http://localhost/fully_mine_store/css2/all.min.css" rel="stylesheet">

<link href="http://localhost/fully_mine_store/css2/alpha/bootstrap.min.css" rel="stylesheet">




     <style>
        body {
         font-family: "Anton", serif; /* Use the custom font */
		 background-color:black;
        }

        .navbar {

            transition: top 0.3s;
			  background-color:#4747ff;
        }

        .navbar-hidden {
            top: -70px; /* Adjust based on your navbar height */
        }

        .navbar-brand {
            font-weight:;
        }

        .nav-link {
            font-size: 1rem;
            font-weight: ;
            color: white;
			text-transform:uppercase;
			
        }

        .nav-link:hover {
            color: #007bff;
        }

        .icon-badge {
            position: absolute;
            top: -5px;
            right: -10px;
            background: #dc3545;
            color: white;
            font-size: 0.75rem;
            padding: 2px 6px;
            border-radius: 50%;
        }
		
		
		
			@media (max-width: 767px) {
   .nav-link {
            font-size: 1rem;
            font-weight: bold;
            color: black;
			text-transform:uppercase;
			
        }
		
		#nav_not_to_show {
           display:none;
			
        }
		
		
}

		
		
		.alert-auto-hide {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1055;
            display: none;
        }
		
		
    </style>
	
	 
	
   
</head>
<body>

 
   <div class="alert alert-success alert-dismissible fade show alert-auto-hide" id="notification" role="alert">
            <span id="notificationMessage"></span>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
 
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-black fixed-top">
        <div class="container mt-2">
		
		  <!-- Toggle Button -->
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
		
		
            <!-- Logo -->
            <a class="navbar-brand mx-auto text-white" href="#"><i class="fa fa-globe me-2"></i>FUSIONXSPACE</a>
			
			 <ul class="navbar-nav me-2 d-md-none">
					<li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
						
			</ul>	

           <ul class="navbar-nav me-2 d-md-none">
					
					
					 <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
				</ul>	
			

            <!-- Navbar Items -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item me-3"><a class="nav-link" href="http://localhost/fully_mine_store/">Home</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Shop</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
					 <li class="nav-item me-3"><a class="nav-link" href="#">About</a></li>
                    <li class="nav-item me-3"><a class="nav-link" href="#">Contact</a></li>
                </ul>
				
				<div class="my_btn d-md-none" >
			<center> <a href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile" class="btn btn-lg mt-4">LOGIN </a></center>
			  </div>
				
				<div id="nav_not_to_show">
				 <!-- Right Icons -->
                <ul class="navbar-nav ms-auto">
                    <!-- Search Icon -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <iconify-icon icon="tabler:search" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                    <!-- Cart Icon -->
                    <li class="nav-item position-relative">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasCart">
                            <iconify-icon icon="mdi:cart" class="fs-4"></iconify-icon>
                            <span class="icon-badge"></span>
                        </a>
                    </li>
                    <!-- Profile Icon -->
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasProfile">
                            <iconify-icon icon="healthicons:person" class="fs-4"></iconify-icon>
                        </a>
                    </li>
                </ul>
				</div>
				
				
               
            </div>
        </div>
    </nav>

    <!-- Offcanvas Search -->
    <div class="offcanvas offcanvas-end" id="offcanvasSearch">
        <div class="offcanvas-header">
            <h5>Services</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
		
		
		
       
 <div class="hero5_after">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-12 col-md-12 first-column mt-5" style="margin:1px;">
           
			
			<div class="caption w-80 " >
			 <h1>About Fusionxspace</h1>
            <p class="mt-1 ">“Fusionxspace is a premier Web and Media Agency our mission is to empower businesses and individuals by delivering cutting-edge digital solutions. We specialize in web development, graphic design, animation, branding, and digital marketing to help you connect with your audience, tell your story, and achieve your goals”
</p>

 <a  href="#" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSearch" class="btn btn-outline-light btn-lg mt-1">Explore Services</a>
			
          
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
	
	</div>
		
		</div>
        </div>
		
		
		
		
		
		
		
		
		
    </div>
	
	
	
	
	
	
	

    <!-- Offcanvas Cart -->
    <div class="offcanvas offcanvas-end" id="offcanvasCart">
        <div class="offcanvas-header">
            <h5>Your Cart</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <ul class="list-group">
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 1</span>
                    <span>$10</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 2</span>
                    <span>$15</span>
                </li>
                <li class="list-group-item d-flex justify-content-between">
                    <span>Item 3</span>
                    <span>$25</span>
                </li>
            </ul>
            <hr>
            <div class="d-flex justify-content-between">
                <strong>Total: $50</strong>
                <button class="btn btn-primary">Checkout</button>
            </div>
        </div>
    </div>

    <!-- Offcanvas Profile -->
    <div class="offcanvas offcanvas-end" id="offcanvasProfile">
        <div class="offcanvas-header">
            <h5>Profile</h5>
            <button type="button" class="btn-close" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="email" id="email" class="form-control" placeholder="Enter your email">
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" id="password" class="form-control" placeholder="Enter your password">
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>
            </form>
        </div>
    </div>

  



 
 <div class="hero5 bg-black mb-5">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-12 first-column mt-5">
           
			
			<div class="caption " style="margin-left:1px;">
			 <h1 class="text-center">Let's Build Your Dream Website Project</h1>
            <p class="mt-1 text-white text-center">Hey do you have an amazing website idea? - <br>Or maybe you want your brand to have a website <br> Let's build you a standard website today </p>
			
           <center> <a href="#web-design-process" class="btn btn-outline-light btn-lg mt-4">OUR DESIGN PROCESS</a></center>
			</div>
        </div>
      <!-- Second Column -->
       
    </div>
</div>
</div>
	 
	
 
 
 <div class="hero55 bg-light" style="margin-top:1px;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column">
          
			
			<div class="caption">
			 <h3 class="mt-4 text-center" style="font-size:3.5rem;"> Our Websites<br> Are Fully Responsive </h3>
			
            <p class="mt-5">Our fully responsive websites adapt seamlessly to any device, ensuring optimal user experience and fast load times, while improving your search engine rankings and keeping your business accessible on all platforms.</p>
            <a href="#" class="btn btn-lg mt-4">CONTACT US</a>
			</div>
        </div>
        <!-- Second Column -->
         <div class="col-md-6 second-column" style="background-color:white; padding:0px;">
            <div id="imageSlider" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/weeb/Slide3.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/weeb/Slide2.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>





 
 <div class="hero55 bg-light d-none d-md-block" style="margin-top:-85px;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
       
        <!-- Second Column -->
        <div class="col-md-6 second-column" style="background-color:white; padding:0px;">
            <div id="imageSlider" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/weeb/Slide3.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/weeb/Slide2.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                  
                </div>
              
            </div>
        </div>
		
		 <div class="col-md-6 first-column">
          
			
			<div class="caption mt-5">
			 <h3 class="mt-4 text-center" style="font-size:3.5rem;"> Amazing UI And<br> Highly Secured </h3>
			
            <p class="mt-5">Our websites feature an amazing UI and UX that delivers a visually stunning and intuitive experience, while also being highly secure to protect your data and ensure safe browsing for all users.</p>
            <a href="http://localhost/fully_mine_store/contact-us" class="btn btn-lg mt-4">CONTACT US </a>
			</div>
        </div>
		
    </div>
</div>
</div>





 
 <div class="hero55 d-block d-md-none bg-light" style="margin-top:-85px;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column">
          
			<br><br>
			<div class="caption mt-5">
			 <h3 class="mt-4 text-center" style="font-size:3.5rem;">Fantastic UI &<br>Highly Secured </h3>
			
            <p class="mt-5">Our websites feature an amazing UI and UX that delivers a visually stunning and intuitive experience, while also being highly secure to protect your data and ensure safe browsing for all users.</p>
            <a href="http://localhost/fully_mine_store/contact-us" class="btn btn-lg mt-4">CONTACT US </a>
			</div>
        </div>
        <!-- Second Column -->
         <div class="col-md-6 second-column" style="background-color:white; padding:0px;">
            <div id="imageSlider" class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/weeb/Slide3.jpg" class="d-block w-100 " alt="Slide 1">
                    </div>
                    <div class="carousel-item">
                        <img src="http://localhost/fully_mine_store/weeb/Slide2.jpg" class="d-block w-100 " alt="Slide 2">
                    </div>
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>










 
 
 
   
  
 <div class="container-fluid" style="background-color:#f2f2f2; width:100%;  margin-bottom:0px;">
   
        
		<div class="cover mb-5"style="">
            <!-- Product Card -->
             
          <div class="row mb-5" style="">
			 
			    <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center" style=""><i class="fa fa-store" style="color:#4747ff;"></i> 250+ Businesses</h5>
				 <p class="mt-1 text-center">Over The Years</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-shield" style="color:#4747ff;"></i> 6years+</h5>
				 <p class="mt-1 text-center">Of Experience</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4 "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-laptop" style="color:#4747ff;"></i> 650+ Web/App</h5>
				 <p class="mt-1 text-center">Deliverd</p>
				
			
				   
					
				</div>
			
			 </div>
			 
			  <div class="col-6 col-md-3 mt-4  "style="border:0px; border-right: 1px solid gray;">
			
				  
				  <div class="caption w-80 " >
				 <h5 class="text-dark text-center"><i class="fa fa-image" style="color:#4747ff;"></i> 5000+ Graphics</h5>
				 <p class="mt-1 text-center">& Contents Done</p>
				
			
				   
					
				</div>
			
			 </div>
			 
		   </div>
			
			
			
			 </div>
			
	
	</div>
	




<div class="hero6 p-4" style="margin-top:-48px; border-top:0.5px solid gray;">
    <h3 class="mt-4 text-center" style="font-size:3.5rem;"> Our Portfolio</h3>
	 <p class="mt-1 text-center text-dark ">Below are some website projects we've worked on recently
</p>
    <div class="owl-carousel owl-theme">
       <?php if ($products): ?>
            <?php foreach ($products as $product): ?>
	
        <div class="item">
            <div class="product-card position-relative">
                <div class="image-container">
                    <img src="http://localhost/fully_mine_store/<?php echo htmlspecialchars($product['image']); ?>" alt="<?php echo htmlspecialchars($product['name']); ?>">
                    <div class="overlay">
                        <a href="product_details.php?slug=<?php echo htmlspecialchars($product['slug']); ?>" class="btn btn-outline-light d-none d-md-inline">View Details</a>
                        <a href="#" class="btn btn-light d-md-none">
                            <i class="fas fa-eye d-md-none"></i>
                        </a>
						
						
						  <button class="btn btn-primary add-to-cart-btn" 
                            data-id="<?php echo htmlspecialchars($product['id']); ?>" 
                            data-name="<?php echo htmlspecialchars($product['name']); ?>" 
                            data-price="<?php echo htmlspecialchars($product['price']); ?>" 
                            data-image="<?php echo htmlspecialchars($product['image']); ?>">
                            <span class="spinner-border spinner-border-sm d-none" role="status" aria-hidden="true"></span>
                            Add to Cart
                        </button>
						
						
						
						
                        <a href="#" class="btn btn-light">
                            <i class="fas fa-cart-plus"></i>
                        </a>
                    </div>
                </div>
               
            </div>
        </div>
      
		
		   <?php endforeach; ?>
        <?php else: ?>
            <p class="col-12 text-center">No products available.</p>
        <?php endif; ?>
			
		
        <!-- Add more items as needed -->
    </div>
	
	<div class="my_btn mt-4">
			<center> <a href="#" class="btn btn-lg mt-1"><span class="dot" >VIEW MORE</a> </center>
			  </div>
</div>









<br><br><br>








<div class="hero7">
    <div class="container">
	        <h2 class="text-center mb-4">Our Design Process </h2>
	<p class="mt-1 text-center ">Below are the process we'll follow when creating your dream website</p>
			
        <div class="row" id="web-design-process">
            <!-- Product Card -->
             
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">1 - Questioning</h5>
				<p class="mt-1 fs-6  text-center">We'll ask you series of questions to fully understand your vision for your website project. So we know the best way to begin your project.   </p>
				</div>
				   <i class="fa fa-magnifying-glass text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
			 
			  <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">2 - Sample & Reference</h5>
				<p class="mt-1 fs-6  text-center">After understanding your vision, we'll send you available samples if available or look for something similar for for reference sake. </p>
				</div>
				   
				   <i class="fa fa-globe text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
			 
			 
			   <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">3 - Branding & Info</h5>
				<p class="mt-1 fs-6  text-center">Do you have an existing brand design, logo, color, text font etc? If yes, we'll ensure to incorporate it into the website. If not - We'll work on it all.  </p>
				</div>
				    <i class="fa fa-image text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
			 
			 
			 
			    <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">4 - Prototye & Design</h5>
				<p class="mt-1 fs-6  text-center">We'll create a prototype to show you how the site contents will be structed on the page. Then we'll bring it to life with an amazing UI design.</p>
				</div>
				    <i class="fa fa-wand-magic-sparkles text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
			 
		   
		      <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">5 - Testing</h5>
				<p class="mt-1 fs-6  text-center">After design, we'll text run the website with you to ensure it functions as it should. We'll also text it on multiple devices to make sure it appears in all screen sizes</p>
				</div>
				    <i class="fa fa-gears text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
		   
            <div class="col-12 col-md-4 mt-4 ">
			
				  <div class="card product-card position-relative p-4" style="border:2px solid white;">
				  <div class="caption w-80 " >
				 <h5 class="text-white text-center">6 - Completion & Follow Up</h5>
				<p class="mt-1 fs-6  text-center">Your website is complete. We can help you host it or deliver it to your hosting account. And you'll get one month of free support and maintenance. Yeah we've got you.</p>
				</div>
				    <i class="fa fa-handshake text-white text-center mt-5 mb-5" style="font-size:3.5rem;"></i>
				</div>
			
			 </div>
			
			
			
			<div class="my_btn">
			<center> <a href="http://localhost/fully_mine_store/contact-us" class="btn btn-lg mt-4 mb-5">CONTACT US</a></center>
			  </div>
        </div>
    </div>
</div>

<!-- Product Section -->
<div class="hero4 bg-black">
<marquee scrollamount="35">	<h1 class="text-white mt-2" style="font-size:11rem;">WEBSITE DEVELOPEMENT</h1></marquee>

 </div>  


 
 <div class="hero55" style="background-color:black; border-top:2px solid white;">
 <div class="container-fluid">
    <div class="row">
        <!-- First Column -->
        <div class="col-md-6 first-column mt-5">
          
			
			<div class="caption">
			  <h1 class=" text-white">Join Our Website Development Academy!! </h1>
			
            <p class="mt-3 p-2 text-white">
Join our Website Development Academy and unlock the skills to build stunning, responsive, and secure websites! Learn from industry experts, gain hands-on experience, and kickstart your career in web development today.</p>
            <a href="http://localhost/fully_mine_store/learn-website-development.php" title="build website" class="btn btn-lg mt-4 text-white" style="border:2px solid white;">KNOW MORE <i class="fa fa-right-to-bracket me-2"></i></a>
			</div>
        </div>
        <!-- Second Column -->
        <div class="col-md-6 second-column">
            <div class="carousel slide slider-container" data-bs-ride="carousel">
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img src="http://localhost/fully_mine_store/images/academy-photo/graphics-academy.jpg" class="d-block w-100 " alt="graphics-academy">
                    </div>
                   
                  
                </div>
              
            </div>
        </div>
    </div>
</div>
</div>





<!-- Footer -->
<footer class="footer text-center">
    <div class="container">
        <p>&copy; 2024 Your E-Commerce Site. All rights reserved.</p>
        <p>Follow us on 
            <a href="#" class="text-white">Facebook</a>, 
            <a href="#" class="text-white">Twitter</a>, 
            <a href="#" class="text-white">Instagram</a>.
        </p>
    </div>
</footer>




  <!-- Bootstrap and Iconify -->

    

<script src="http://localhost/fully_mine_store/js/bootstrap.bundle.min.js"></script>


	
	
	
    <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
    <script>
        let prevScrollPos = window.pageYOffset;
        const navbar = document.querySelector('.navbar');

        window.onscroll = () => {
            const currentScrollPos = window.pageYOffset;
            if (prevScrollPos > currentScrollPos) {
                navbar.classList.remove('navbar-hidden');
            } else {
                navbar.classList.add('navbar-hidden');
            }
            prevScrollPos = currentScrollPos;
        };
    </script>



<script>
    $(document).ready(function () {
        $(".owl-carousel").owlCarousel({
            loop: true,
            margin: 10,
            nav: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 3 }
            }
        });
    });
</script>


	
	
	  <script>
        // Update Cart Modal Content
        function updateCartModal() {
            $.post('', { action: 'get_cart' }, function (response) {
                const cart = JSON.parse(response);
                let content = '';

                if (cart.length === 0) {
                    content = '<p>Your cart is empty.</p>';
                } else {
                    let totalCost = 0;
                    cart.forEach((item, index) => {
                        totalCost += parseInt(item.price);
                        content += `
                            <div class="d-flex justify-content-between align-items-center mb-2">
                                <div>
                                    <img src="${item.image}" alt="${item.name}" style="width: 50px; height: 50px; margin-right: 10px;">
                                    ${item.name} - ₦${item.price}
                                </div>
                                <button class="btn btn-danger btn-sm remove-item-btn" data-index="${index}">X</button>
                            </div>`;
                    });
                    content += `<hr><h5>Total Cost: ₦${totalCost}</h5>`;
                }

                $('#cartContent').html(content);
            });
        }

        // Add to Cart Button Click
        $('.add-to-cart-btn').on('click', function () {
            const button = $(this);
            const spinner = button.find('.spinner-border');
            spinner.removeClass('d-none');
            button.prop('disabled', true);

            const productData = {
                action: 'add_to_cart',
                id: button.data('id'),
                name: button.data('name'),
                price: button.data('price'),
                image: button.data('image'),
            };

            $.post('', productData, function (response) {
                const data = JSON.parse(response);
                if (data.status === 'success') {
                    $('#cartCount').text(data.totalItems);
                    $('#notificationMessage').text('Product added to cart!');
                    $('#notification').fadeIn().delay(2000).fadeOut();
                    updateCartModal();
                }
            }).always(() => {
                spinner.addClass('d-none');
                button.prop('disabled', false);
            });
        });

        // Clear Cart Button
        $('#clearCartBtn').on('click', function () {
            $.post('', { action: 'clear_cart' }, function () {
                $('#cartCount').text(0);
                $('#notificationMessage').text('Cart cleared!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
            });
        });

        // Remove Individual Item
        $(document).on('click', '.remove-item-btn', function () {
            const index = $(this).data('index');
            $.post('', { action: 'remove_item', index: index }, function () {
                $('#notificationMessage').text('Item removed from cart!');
                $('#notification').fadeIn().delay(2000).fadeOut();
                updateCartModal();
                $('#cartCount').text($('#cartContent .remove-item-btn').length - 1);
            });
        });

        // Load Modal Content Initially
        updateCartModal();
    </script>

</body>
</html>
