<?php
// db_connection.php

$host = 'localhost';  // Database host, typically localhost
$dbname = 'my_store';  // Database name
$username = 'root';  // Database username
$password = '';  // Database password

try {
    // Create a PDO connection
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    
    // Set the PDO error mode to exception
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    // If connection fails, display the error
    echo "Connection failed: " . $e->getMessage();
    exit;
}
?>
